## persist-el 0.4+dfsg

=== Makefile ===
EMACS ?= emacs
CASK ?= cask

-include makefile-local

ifdef EMACS
EMACS_ENV=EMACS=$(EMACS)
endif


test: install just-test

just-test:
	$(EMACS_ENV) $(CASK) emacs --batch -q \
	--directory=. \
	--load assess-discover.el \
	--eval '(assess-discover-run-and-exit-batch t)'

install:
	$(EMACS_ENV) $(CASK) install

html:
	texi2html persist.texi

push-elpa:
	git push elpa HEAD:externals/persist

pull-elpa:
	git pull elpa externals/persist

=== debian/changelog ===
persist-el (0.4+dfsg-2) unstable; urgency=medium

  * Migrate to debhelper-compat 13.
  * Do source-only upload to unblock migration to testing.

 -- Nicholas D Steeves <nsteeves@gmail.com>  Thu, 06 Aug 2020 19:49:42 -0400

persist-el (0.4+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #953128)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Sun, 15 Mar 2020 21:49:27 -0400

=== debian/control ===
Source: persist-el
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends: debhelper-compat (= 13)
             , dh-elpa
             , texinfo
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/emacsen-team/persist-el
Vcs-Git: https://salsa.debian.org/emacsen-team/persist-el.git
Homepage: http://elpa.gnu.org/packages/persist.html
Testsuite: autopkgtest-pkg-elpa

Package: elpa-persist
Architecture: all
Depends: ${elpa:Depends}, ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: persist variables between Emacs Sessions
 This package enables variables that persist across Emacs sessions.
 .
 The main entry point is `persist-defvar', which behaves like
 `defvar', but which persists the variables between sessions.
 Variables are automatically saved when Emacs exits.
 .
 Other useful functions are `persist-save', which saves the variable
 immediately, `persist-load', which loads the saved value, and
 `persist-reset', which resets a variable to its default value.
 .
 Each persistent variable+value pair is stored in a unique file in a
 subdirectory of 'user-emacs-directory'.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with elpa

override_dh_auto_build:
	@echo Ignoring upstream Makefile and building with dh-elpa.

override_dh_auto_install:
	@echo Ignoring upstream Makefile and installing with dh-elpa.

## persist-el 0.5+dfsg

=== debian/changelog ===
persist-el (0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Update my email address and copyright years.
  * Explicitly disable pristine-tar in gbp.conf, because it is not used for
    this package.
  * Use https for Homepage URL.
  * Declare compliance with Standards-Version 4.6.1 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 23 Sep 2022 22:04:30 -0400

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,15 @@
 Section: editors
 Priority: optional
 Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
-Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
+Uploaders: Nicholas D Steeves <sten@debian.org>
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/emacsen-team/persist-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/persist-el.git
-Homepage: http://elpa.gnu.org/packages/persist.html
+Homepage: https://elpa.gnu.org/packages/persist.html
 Testsuite: autopkgtest-pkg-elpa
 
 Package: elpa-persist

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg(\.?\d+)?$//,pgpsigurlmangle=s/$/.sig/,repacksuffix=+dfsg,compression=xz \
     https://elpa.gnu.org/packages/persist.html persist-([\d\.]+)\.tar

## persist-el 0.6.1+dfsg

=== debian/changelog ===
persist-el (0.6.1+dfsg-3) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload
  * Add patch to adapt test-persist-save-hash test output for Emacs 30.1
  * Clean up left over test files from previous runs to fix
    build-twice-in-a-row
  * Update Standards-Version to 4.7.1; no change needed

 -- Sean Whitton <spwhitton@spwhitton.name>  Fri, 28 Feb 2025 20:28:35 +0800

persist-el (0.6.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 23:21:09 +0900

persist-el (0.6.1+dfsg-1) unstable; urgency=medium

  * Update upstream signing key.
  * New upstream release.
  * Import upstream copyright date range update, and update my own range.
  * Declare compliance with Standards-Version 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 21 Jun 2024 21:35:29 -0400

persist-el (0.6+dfsg-1) unstable; urgency=medium

  * Team upload.

  [ Xiyue Deng ]
  * New upstream release.
  * Re-export upstream signing key without extra signatures.
  * Update standards version to 4.6.2, no changes needed.

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + elpa-persist: Drop versioned constraint on emacs in Recommends.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 28 Mar 2024 15:49:50 +0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
              , dh-elpa
              , texinfo
 Rules-Requires-Root: no
-Standards-Version: 4.6.1
+Standards-Version: 4.7.1
 Vcs-Browser: https://salsa.debian.org/emacsen-team/persist-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/persist-el.git
 Homepage: https://elpa.gnu.org/packages/persist.html
@@ -16,7 +16,7 @@
 Package: elpa-persist
 Architecture: all
 Depends: ${elpa:Depends}, ${misc:Depends}
-Recommends: emacs (>= 46.0)
+Recommends: emacs
 Enhances: emacs
 Description: persist variables between Emacs Sessions
  This package enables variables that persist across Emacs sessions.

## persist-el 0.8+dfsg

=== debian/changelog ===
persist-el (0.8+dfsg-1) unstable; urgency=medium

  [ Xiyue Deng ]
  * Team upload
  * New upstream release
  * Drop patches; fixed upstream
  * Skip failing tests
  * Drop `Rules-Requires-Root: no'
    - This is the default since dpkg 1.22.13.
  * Update Standards-Version to 4.7.2; no change needed
  * Migrate d/watch to rfc822-style version 5 format
  * Add lintian-overrides for debian-watch-not-mangling-version
    - lintian cannot properly detect the Dversion-Mangle use in version 5
      format, which is actually taking effect.
  * Add d/upstream/metadata

 -- Sean Whitton <spwhitton@spwhitton.name>  Tue, 11 Nov 2025 21:34:19 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,7 @@
 Build-Depends: debhelper-compat (= 13)
              , dh-elpa
              , texinfo
-Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/emacsen-team/persist-el
 Vcs-Git: https://salsa.debian.org/emacsen-team/persist-el.git
 Homepage: https://elpa.gnu.org/packages/persist.html

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 
 %:
 	dh $@ --with elpa
+
+execute_after_dh_auto_clean:
+	# Clean up left over test files from previous runs.
+	-rm -rf persist-defined-location/
 
 override_dh_auto_build:
 	@echo Ignoring upstream Makefile and building with dh-elpa.

=== debian/watch ===
Version: 5

Source: https://elpa.gnu.org/packages/persist.html
Matching-Pattern: persist-@ANY_VERSION@\.tar
Dversion-Mangle: auto
Pgp-Sig-Url-Mangle: s/$/.sig/
Repack-Suffix: +dfsg
Compression: xz
